{
  "name": "xxllnc-vergaderen",
  "version": "0.1.0",
  "author": "Exxellence",
  "contributors": [
    "Exxellence B.V. <info@exxellence.nl> (https://www.exxellence.nl/)"
  ],
  "license": "EUPL-1.2",
  "scripts": {
    "start": "GENERATE_SOURCEMAP=false react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "test:CI:coverage": "CI=true yarn react-scripts test --color --ci --coverage",
    "eject": "react-scripts eject",
    "postinstall": "ts-node --project ./scripts/LicensesInformation/node.tsconfig.json scripts/LicensesInformation/getLicenseInformation.ts",
    "check-types": "tsc --noemit",
    "lint": "eslint --color --ext .ts,.tsx --max-warnings=0 src/ && yarn check-types",
    "clean": "rimraf ./coverage junit.xml",
    "clean:n": "rimraf yarn.lock ./node_modules",
    "generate:types": "yarn run generate:contactmoments-types",
    "generate:contactmoments-types": "npx swagger-typescript-api -p https://exxellence.vcap.me/vergaderen/api --disableStrictSSL -o src/types -n contactmoments.ts --no-client"
  },
  "dependencies": {
    "@auth0/auth0-react": "1.12.0",
    "@emotion/react": "^11.10.5",
    "@emotion/styled": "^11.10.5",
    "@material-ui/core": "4.12.4",
    "@material-ui/icons": "4.11.3",
    "@mui/material": "^5.10.12",
    "date-fns": "2.29.3",
    "ra-data-json-server": "3.19.11",
    "ra-data-simple-rest": "3.19.11",
    "ra-language-dutch": "3.17.2",
    "ra-ui-materialui": "3.19.11",
    "react": "18.2.0",
    "react-admin": "3.19.7",
    "react-dom": "18.2.0",
    "react-file-icon": "^1.2.0",
    "react-hook-form": "^7.39.1",
    "use-react-router": "1.0.7",
    "web-vitals": "3.0.4",
    "xxllnc-react-components": "2.8.10"
  },
  "devDependencies": {
    "@babel/preset-env": "^7.18.10",
    "@testing-library/dom": "8.19.0",
    "@testing-library/jest-dom": "5.16.5",
    "@testing-library/react": "13.4.0",
    "@testing-library/user-event": "14.4.3",
    "@types/jest": "29.2.1",
    "@types/node": "^18.11.9",
    "@types/react": "18.0.24",
    "@types/react-dom": "18.0.8",
    "@types/react-file-icon": "^1.0.1",
    "@types/react-router": "^5.1.18",
    "@types/react-router-dom": "^5.3.3",
    "create-ts-index": "1.14.0",
    "eslint-plugin-no-unsanitized": "4.0.1",
    "eslint-plugin-prefer-arrow": "1.2.3",
    "eslint-plugin-react": "7.31.10",
    "eslint-plugin-security": "1.5.0",
    "jest-junit": "14.0.1",
    "license-checker-rseidelsohn": "^3.1.0",
    "ra-test": "3.19.11",
    "react-scripts": "5.0.1",
    "swagger-typescript-api": "11.1.2",
    "ts-node": "10.9.1",
    "typescript": "4.8.4"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "jest": {
    "coverageReporters": [
      "json",
      "lcov",
      "text",
      "clover",
      "cobertura"
    ]
  }
}
